#ifndef __LGDRIVER_H
#define __LGDRIVER_H

//--------------------static------------------------------------
void LG_Receive_Switch(void);
u8 LG_ReceiveBit(void);
void LG_SendByte(u8 dat);
void LG_SendByte_CaliTime(u16 dat);
u8 LG_ReceiveByte(void);
//--------------------static------------------------------------

//接收单bitAck
u8 LG_ReceiveAck(void);
u8 LG_ReceiveParameter(u8 *Parameter, u8 Length);				//接收参数		
u16 LG_ReceiveSingleBit(u8 *Parameter, u16 Length, u8 bit);		//接收单bit数据	
u16 LG_ReceiveDetBomming(u8 *pStatus, u16 Length, u8 allow);    //延时放电		
void LG_SendCommand(u8 Function, u8 *Parameter, u8 Length);		//发送功能指令	
void LG_SendCorrectTimeCommand(u8 Function, u16 time);			//校时指令	
//发送延时起爆用来清除波形计数--接收1个bit
void LG_CleanWave_Receive(void);
#endif
